Subject: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Artur Malabarba <[email-masked]>
Date: Fri, 11 Mar 2016 19:22:31 -0300

On 11 Mar 2016 6:23 pm, "Kaushal Modi" <[email-masked]> wrote:
>
> > Which I think is wrong, since the default mode shouldn't show anything
> > except "I-search: ".  Right?

> Even before this patch, that behavior (Displaying "Regexp I-search:" on
C-s even when search-default-mode is t) was that way. Because, even when
search-default-mode is t, regexp-function still stays nil. So that first
cond form condition evals to nil.
>
> But I discovered a major issue with my patch. So here's a new one which
is less intrusive. I also added explanation for the current priority order
in the cond.

This last patch looks fine to me. 👍